# ComponentWithCoordinates

interface ComponentWithCoordinates : SoftwareComponent

Represents a component that determines its publication coordinates.

#### Since

4.7

#### Inheritors

PublishableComponent

## Functions

getCoordinates
Link copied to clipboard
abstract fun getCoordinates(): ModuleVersionIdentifier
The publication coordinates for this component.
getName
Link copied to clipboard
abstract fun getName(): String